Summary: The passwd utility for setting/changing passwords using PAM.
Name: passwd
Version: 0.64.1
Release: 1.0.3
Copyright: BSD
Group: System Environment/Base
Source: passwd-%{version}.tar.gz
Patch1: passwd-%{version}-path.patch
Patch2: passwd-%{version}-pamd.patch
Buildroot: %{_tmppath}/passwd-root
Requires: pam >= 0.59
Requires: pwdb >= 0.58

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

To use passwd, you should have PAM installed on your system.

%prep
%setup -q
%patch1 -p1 -b .path
%patch2 -p1 -b .pamd

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make install TOP_DIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/passwd
mkdir -p $RPM_BUILD_ROOT/etc/pam.d/
install -m 640 passwd.pamd $RPM_BUILD_ROOT/etc/pam.d/passwd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0640,root,root)	%config /etc/pam.d/passwd
%attr(4511,root,root) /usr/bin/passwd
%doc %{_mandir}/man1/passwd.1*

%changelog
* Wed Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- patched /etc/pam.d/passwd for EnGarde

* Sat Oct 28 2000 Dave Wreski <dave@guardiandigital.com>
- FHS tuning

* Thu Aug 07 2000 Pete O'Hara <pete@guardiandigital.com>
- added missing "shadow" argument to /etc/pam.d/passwd  to
	the last entry line

* Mon Jul 10 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access /etc/pam.d/passwd and removed 
	nullok passwd argument
